program demo;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  operands in 'operands.pas';

var a,b:TReal;
    ac,bc:TComplex;
    r:TOperand;
procedure vypis(res:TOperand);
begin
 if res is TReal then (res as TReal).display
 else (res as TComplex).display;

end;
begin
 a := TReal.init(1.1);
 b := TReal.init(2.2);
 ac := TComplex.init(1.1, 1.1);
 bc := TComplex.init(2.2, 2.2);

 r:= a.add(b);
 write('1.1 + 2.2 = ');
 vypis(r);

 r:=a.multiply(b);
 write('1.1 * 2.2 = ');
 vypis(r);

 r:=a.add(bc);
 write('1.1 + 2.2 + 2.2i = ');
 vypis(r);

 r:=b.multiply(ac);
 write('2.2 * (1.1 + 1.1i) = ');
 vypis(r);

 r:=ac.add(bc);
 write('1.1 + 1.1i + 2.2 + 2.2i = ');
 vypis(r);

 r:=ac.multiply(bc);
 write(' (1.1 + 1.1i) * (2.2 + 2.2i) = ');
 vypis(r);

 r:= ac.add(a);
 write ('1.1 + 1.1i + 1.1 = ');
 vypis(r);

 r:= ac.multiply(b);
 write('(1.1 + 1.1i) * 2.2 = ');
 vypis(r);
 readln;
end.
